%define name	spandsp
%define version	0.0.2

%define	major	0
%define libname	%mklibname %{name} %{major}

Summary:	Steve's SpanDSP library for telephony spans
Name:		%{name}
Version:	%{version}
Release:	%mkrel 0.pre15.2
License:	GPL
Group:		System/Libraries
URL:		http://www.soft-switch.org/
Source0:	%{name}-%{version}pre15.tar.bz2
Patch0:		spandsp-0.0.1-no_ebx_push.diff.bz2
Patch1:		spandsp-0.0.1-x86_64.diff.bz2
Patch2:		spandsp-0.0.2-gcc4.diff
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	tiff-devel >= 3.6.1-3mdk
BuildRequires:	fltk-devel
BuildRequires:	fftw2-devel
BuildRequires:	audiofile-devel
BuildRequires:	libxml2-devel
BuildRequires:	jpeg-devel
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
spandsp is a library for DSP in telephony spans. It can perform
many of the common DSP functions, such as the generation and
detection of DTMF and supervisory tones.

%package -n	%{libname}
Summary:	Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n	%{libname}
spandsp is a library for DSP in telephony spans. It can perform
many of the common DSP functions, such as the generation and
detection of DTMF and supervisory tones.

%package -n	%{libname}-devel
Summary:	Header files and libraries needed for development with SpanDSP
Group:		Development/C
Provides:	%{name}-devel %{_lib}%{name}-devel
Obsoletes:	%{name}-devel %{_lib}%{name}-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
This package includes the header files and libraries needed for
developing programs using SpanDSP.

%prep

%setup -q -n %{name}-0.0.2
#%patch0 -p0 -b .gcc34
#%patch1 -p0 -b .x86_64

%patch2 -p1 -b .gcc4

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && aclocal-1.7 && autoconf && automake-1.7

%configure2_5x

%make

# make test does not work yet
#%%make -C tests \
#    LIBS="-laudiofile -lfftw -lxml2 -ltiff -lfl -lpthread"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS ChangeLog DueDiligence NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/spandsp
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/%{name}/global-tones.xml
%{_datadir}/%{name}/tones.dtd

%changelog
* Fri Sep 02 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-0.pre15.2mdk
- added one gcc4 patch (debian)

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.2-0.pre15.1mdk
- spandsp-0.0.2pre15

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-5mdk
- use the %%mkrel macro
- strip away annoying ^M

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-4mdk
- dotnuke

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-3mdk
- added P2 to make it compile on x86_64 (suse)

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-2mdk
- lib64 fixes (does not yet compile...)

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-1mdk
- initial mandrake package
- used parts from the provided spec file
- added P0
